(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     19502,        518]
NotebookOptionsPosition[     17749,        453]
NotebookOutlinePosition[     18398,        478]
CellTagsIndexPosition[     18312,        473]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<SpinDynamica`\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.450336910857295*^9, 3.450336917940371*^9}, {
  3.4506197085255003`*^9, 3.450619710771612*^9}, {3.568902926106744*^9, 
  3.5689029264757648`*^9}}],

Cell[BoxData[
 TagBox[
  FrameBox["\<\"SpinDynamica version 3.0.1 loaded\"\>"],
  DisplayForm]], "Print",
 CellChangeTimes->{3.7121604544276237`*^9}],

Cell[BoxData[
 TemplateBox[{
  "ModifyBuiltIn","report",
   "\"The following built-in routines have been modified in SpinDynamica: \\!\
\\(\\*RowBox[{\\\"{\\\", RowBox[{\\\"Chop\\\", \\\",\\\", \\\"Dot\\\", \
\\\",\\\", \\\"Duration\\\", \\\",\\\", \\\"Exp\\\", \\\",\\\", \
\\\"Expand\\\", \\\",\\\", \\\"ExpandAll\\\", \\\",\\\", \\\"NumericQ\\\", \\\
\",\\\", \\\"Plus\\\", \\\",\\\", \\\"Power\\\", \\\",\\\", \\\"Simplify\\\", \
\\\",\\\", \\\"Times\\\", \\\",\\\", \\\"WignerD\\\"}], \\\"}\\\"}]\\). \
\\nEvaluate \
??\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\) to \
generate the additional definitions for \
\\!\\(\\*\\nStyleBox[\\\"symbol\\\",\\nFontSlant->\\\"Italic\\\"]\\).\"",2,1,
   1,29119467704240478858,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.7121604557115574`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetSpinSystem", "[", "2", "]"}]], "Input",
 CellChangeTimes->{{3.450336921172187*^9, 3.450336931231163*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetSpinSystem","set",
   "\"the spin system has been set to \\!\\(\\*RowBox[{\\\"{\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}]\\)\"",2,2,2,29119467704240478858,"Local"},
  
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.450336932109395*^9, {3.450619697556678*^9, 3.450619724141974*^9}, 
   3.4506197955265017`*^9, 3.461037102548246*^9, 3.461065009947494*^9, 
   3.4610665875840187`*^9, 3.502950799390099*^9, 3.515083990875307*^9, 
   3.568902930009967*^9, 3.7121604559377193`*^9}],

Cell[BoxData[
 TemplateBox[{
  "SetBasis","set",
   "\"the state basis has been set to \\!\\(\\*RowBox[{\\\"ZeemanBasis\\\", \
\\\"[\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", \
RowBox[{\\\"1\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \
\\\"}\\\"}], \\\",\\\", RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", \
FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"BasisLabels\\\", \\\"\[Rule]\\\", \\\"Automatic\\\"}]}], \
\\\"]\\\"}]\\).\"",2,2,3,29119467704240478858,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.450336932109395*^9, {3.450619697556678*^9, 3.450619724141974*^9}, 
   3.4506197955265017`*^9, 3.461037102548246*^9, 3.461065009947494*^9, 
   3.4610665875840187`*^9, 3.502950799390099*^9, 3.515083990875307*^9, 
   3.568902930009967*^9, 3.7121604559617352`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOperatorBasis", "[", "]"}]], "Input",
 CellChangeTimes->{{3.502950808761346*^9, 3.502950812163485*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetOperatorBasis","set",
   "\"the operator basis has been set to \
\\!\\(\\*RowBox[{\\\"ShiftAndZOperatorBasis\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"Sorted\\\", \\\"\
\[Rule]\\\", \\\"CoherenceOrder\\\"}]}], \\\"]\\\"}]\\).\"",2,3,4,
   29119467704240478858,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502950812666057*^9, 3.5150839909840517`*^9, 
  3.568902930277982*^9, 3.712160456466095*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"?", "CoherenceOrderFiltrationSuperoperator"}]], "Input",
 CellChangeTimes->{{3.5029508704733*^9, 3.502950871060123*^9}}],

Cell[BoxData[
 StyleBox["\<\"CoherenceOrderFiltrationSuperoperator[{order1, order2...}] is \
the superoperator for filtration through a set of coherence orders. \
CoherenceOrderFiltrationSuperoperator[spins,{order1, order2...}] filters \
according to the coherence orders of the specified set of spins.\"\>", 
  "MSG"]], "Print", "PrintUsage",
 CellChangeTimes->{3.712160456715273*^9},
 CellTags->"Info43712164056-8080289"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CoherenceOrderFiltrationSuperoperator", "[", "2", "]"}], "[", 
  RowBox[{
   RowBox[{"opI", "[", "\"\<x\>\"", "]"}], ".", 
   RowBox[{"opI", "[", "\"\<y\>\"", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4506196797794027`*^9, 3.450619690418805*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   FractionBox["1", "2"]}], " ", "\[ImaginaryI]", " ", 
  RowBox[{"(", 
   TagBox[
    RowBox[{
     TagBox[
      SubsuperscriptBox["I", "1", "+"],
      DisplayForm], 
     AdjustmentBox["\[Bullet]",
      BoxMargins->{{-0.3, 0}, {0, 0}}], 
     TagBox[
      SubsuperscriptBox["I", "2", "+"],
      DisplayForm]}],
    DisplayForm], ")"}]}]], "Output",
 CellChangeTimes->{{3.4506196975831537`*^9, 3.4506197244673862`*^9}, 
   3.450619795837001*^9, 3.461037102608863*^9, 3.4610650100016823`*^9, 
   3.461066587633885*^9, {3.502950802218562*^9, 3.502950815066433*^9}, 
   3.5150839912650642`*^9, 3.5689029308630157`*^9, 3.7121604569539423`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"CoherenceOrderFiltrationSuperoperator", "[", 
   RowBox[{"{", 
    RowBox[{"2", ",", 
     RowBox[{"-", "2"}]}], "}"}], "]"}], "[", 
  RowBox[{
   RowBox[{"opI", "[", "\"\<x\>\"", "]"}], ".", 
   RowBox[{"opI", "[", "\"\<y\>\"", "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.4506196797794027`*^9, 3.450619690418805*^9}, {
  3.450619739135572*^9, 3.45061974034993*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
   RowBox[{"(", 
    TagBox[
     RowBox[{
      TagBox[
       SubsuperscriptBox["I", "1", "-"],
       DisplayForm], 
      AdjustmentBox["\[Bullet]",
       BoxMargins->{{-0.3, 0}, {0, 0}}], 
      TagBox[
       SubsuperscriptBox["I", "2", "-"],
       DisplayForm]}],
     DisplayForm], ")"}]}], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", "\[ImaginaryI]", " ", 
   RowBox[{"(", 
    TagBox[
     RowBox[{
      TagBox[
       SubsuperscriptBox["I", "1", "+"],
       DisplayForm], 
      AdjustmentBox["\[Bullet]",
       BoxMargins->{{-0.3, 0}, {0, 0}}], 
      TagBox[
       SubsuperscriptBox["I", "2", "+"],
       DisplayForm]}],
     DisplayForm], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.4506196975831537`*^9, 3.450619740884355*^9}, 
   3.450619795882627*^9, 3.461037102649723*^9, 3.461065010050131*^9, 
   3.4610665876715403`*^9, 3.5029508202564993`*^9, 3.5150839912978983`*^9, 
   3.5689029310160246`*^9, 3.712160457192113*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
   RowBox[{"CoherenceOrderFiltrationSuperoperator", "[", 
    RowBox[{"{", 
     RowBox[{"2", ",", 
      RowBox[{"-", "2"}]}], "}"}], "]"}], "\[IndentingNewLine]", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.450619731119009*^9, 3.450619762934513*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2}, {{1}, {16}}}, {
      1, 1}}]]]]], "Output",
 CellChangeTimes->{{3.4506197587929173`*^9, 3.4506197635569487`*^9}, 
   3.450619795940938*^9, 3.461037102848137*^9, 3.461065010218069*^9, 
   3.461066587772956*^9, 3.502950823081915*^9, 3.51508399132777*^9, 
   3.5689029311570325`*^9, 3.7121604573582296`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
   RowBox[{"CoherenceOrderFiltrationSuperoperator", "[", "0", "]"}], 
   "\[IndentingNewLine]", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.450619731119009*^9, 3.450619773801824*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "1", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 0, 0, 0, 0, 0, 1, 2, 6, 10, 14, 18, 18, 18, 18, 18, 18}, {{6}, {
       7}, {8}, {9}, {10}, {11}, {8}, {9}, {10}, {11}, {8}, {9}, {10}, {11}, {
       8}, {9}, {10}, {11}}}, {1, 1, 1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, 0, 0,
       0, 1}}]]]]], "Output",
 CellChangeTimes->{{3.4506197587929173`*^9, 3.450619795988278*^9}, 
   3.461037102922412*^9, 3.4610650102823887`*^9, 3.4610665878341923`*^9, 
   3.5029508320021887`*^9, 3.5150839913997803`*^9, 3.5689029313030405`*^9, 
   3.7121604574718103`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetOperatorBasis", "[", 
  RowBox[{"CartesianProductOperatorBasis", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.5029508360515947`*^9, 3.502950846211638*^9}}],

Cell[BoxData[
 TemplateBox[{
  "SetOperatorBasis","set",
   "\"the operator basis has been set to \
\\!\\(\\*RowBox[{\\\"CartesianProductOperatorBasis\\\", \\\"[\\\", \
RowBox[{RowBox[{\\\"{\\\", RowBox[{RowBox[{\\\"{\\\", RowBox[{\\\"1\\\", \
\\\",\\\", FractionBox[\\\"1\\\", \\\"2\\\"]}], \\\"}\\\"}], \\\",\\\", \
RowBox[{\\\"{\\\", RowBox[{\\\"2\\\", \\\",\\\", FractionBox[\\\"1\\\", \\\"2\
\\\"]}], \\\"}\\\"}]}], \\\"}\\\"}], \\\",\\\", RowBox[{\\\"Sorted\\\", \\\"\
\[Rule]\\\", \\\"SpinProductRank\\\"}]}], \\\"]\\\"}]\\).\"",2,9,5,
   29119467704240478858,"Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{3.502950846703434*^9, 3.515083991445451*^9, 
  3.5689029315850573`*^9, 3.71216045775201*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"SuperoperatorMatrixRepresentation", "[", "\[IndentingNewLine]", 
   RowBox[{"CoherenceOrderFiltrationSuperoperator", "[", "0", "]"}], 
   "\[IndentingNewLine]", "]"}], "//", "MatrixForm"}]], "Input",
 CellChangeTimes->{{3.450619731119009*^9, 3.450619773801824*^9}}],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "1", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"], "0", "0", "0", 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"], "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", 
      RowBox[{"-", 
       FractionBox["1", "2"]}], "0", 
      FractionBox["1", "2"], "0", "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", 
      FractionBox["1", "2"], "0", "0", "0", 
      FractionBox["1", "2"], "0", "0", "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "0"},
     {"0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", "0", 
      "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[
   SparseArray[
    Automatic, {16, 16}, 0, {
     1, {{0, 4, 4, 4, 8, 8, 8, 12, 16, 20, 20, 24, 28, 28, 28, 28, 32}, {{
       1}, {4}, {7}, {16}, {1}, {4}, {7}, {16}, {1}, {4}, {7}, {16}, {8}, {
       9}, {11}, {12}, {8}, {9}, {11}, {12}, {8}, {9}, {11}, {12}, {8}, {9}, {
       11}, {12}, {1}, {4}, {7}, {16}}}, {
      1, 0, 0, 0, 0, 1, 0, 0, 0, 0, 1, 0, Rational[1, 2], 0, 0, Rational[
       1, 2], 0, Rational[1, 2], Rational[-1, 2], 0, 0, Rational[-1, 2], 
       Rational[1, 2], 0, Rational[1, 2], 0, 0, Rational[1, 2], 0, 0, 0, 
       1}}]]]]], "Output",
 CellChangeTimes->{{3.4506197587929173`*^9, 3.450619795988278*^9}, 
   3.461037102922412*^9, 3.4610650102823887`*^9, 3.4610665878341923`*^9, {
   3.5029508320021887`*^9, 3.502950852878455*^9}, 3.515083991598209*^9, 
   3.568902931729065*^9, 3.71216045792163*^9}]
}, Open  ]]
},
WindowSize->{1350, 633},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
PrintingCopies->1,
PrintingPageRange->{1, Automatic},
PrivateNotebookOptions->{"VersionedStylesheet"->{"Default.nb"[8.] -> False}},
ShowSelection->True,
FrontEndVersion->"11.0 for Microsoft Windows (64-bit) (July 28, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "Info43712164056-8080289"->{
  Cell[4655, 120, 423, 7, 60, "Print",
   CellTags->"Info43712164056-8080289"]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"Info43712164056-8080289", 18208, 467}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 246, 4, 30, "Input"],
Cell[816, 28, 149, 4, 36, "Print"],
Cell[968, 34, 838, 15, 40, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[1843, 54, 132, 2, 30, "Input"],
Cell[1978, 58, 730, 14, 47, "Message"],
Cell[2711, 74, 868, 15, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3616, 94, 130, 2, 30, "Input"],
Cell[3749, 98, 722, 13, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4508, 116, 144, 2, 30, "Input"],
Cell[4655, 120, 423, 7, 60, "Print",
 CellTags->"Info43712164056-8080289"]
}, Open  ]],
Cell[CellGroupData[{
Cell[5115, 132, 287, 6, 30, "Input"],
Cell[5405, 140, 685, 19, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6127, 164, 405, 10, 30, "Input"],
Cell[6535, 176, 1038, 33, 53, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[7610, 214, 372, 8, 69, "Input"],
Cell[7985, 224, 2444, 55, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[10466, 284, 300, 5, 69, "Input"],
Cell[10769, 291, 2588, 57, 298, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13394, 353, 188, 3, 30, "Input"],
Cell[13585, 358, 729, 13, 47, "Message"]
}, Open  ]],
Cell[CellGroupData[{
Cell[14351, 376, 300, 5, 69, "Input"],
Cell[14654, 383, 3079, 67, 346, "Output"]
}, Open  ]]
}
]
*)

